Skip to main content
PUT
/
api
/
v1
/
emails
/
{emailId}
Update email
curl --request PUT \
  --url https://api.contracting.kukkingu.software/api/v1/emails/{emailId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenant-id: <tenant-id>' \
  --data '
{
  "address": "contact@example.com",
  "order": 13
}
'
{
  "data": {
    "id": "eml_vfj7s2ym02jvykrnbl9xufrt",
    "contact": "con_xlbg6ubfio7tzvsijyp5794c",
    "address": "contact@example.com",
    "createdAt": "2023-10-05T14:48:00.000Z",
    "updatedAt": "2023-10-05T14:48:00.000Z",
    "order": 13
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Path Parameters

emailId
string
required

The ID of the email.

Example:

"eml_vfj7s2ym02jvykrnbl9xufrt"

Body

application/json

Request body used to fully replace an existing email resource.

Request body used to fully replace an existing email resource.

address
string<email>
required

Email address.

Required string length: 1 - 200
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Example:

"contact@example.com"

order
integer

Order of the resource for sorting purposes.

Required range: 0 <= x <= 9007199254740991
Example:

13

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Email resource returned by the API.